# Uses of Class
org.eclipse.microprofile.lra.tck.participant.activity.Activity

Packages that use Activity
Package
Description
org.eclipse.microprofile.lra.tck.participant.activity

## Uses of Activity in org.eclipse.microprofile.lra.tck.participant.activity

Methods in org.eclipse.microprofile.lra.tck.participant.activity that return Activity
Modifier and Type
Method
Description
`Activity`
ActivityStorage.`add(Activity activity)`
`Activity`
ActivityStorage.`getActivityAndAssertExistence(URI lraId, jakarta.ws.rs.core.UriInfo jaxrsContext)`
`Activity`
Activity.`setAcceptedCount(int acceptedCount)`
`Activity`
Activity.`setEndData(String endData)`
`Activity`
Activity.`setLraId(URI lraId)`
`Activity`
Activity.`setRecoveryUri(URI recoveryUri)`
`Activity`
Activity.`setStatus(ParticipantStatus status)`
`Activity`
Activity.`setStatusUrl(String statusUrl)`
Methods in org.eclipse.microprofile.lra.tck.participant.activity that return types with arguments of type Activity
Modifier and Type
Method
Description
`List<Activity>`
ActivityStorage.`findAll()`
Methods in org.eclipse.microprofile.lra.tck.participant.activity with parameters of type Activity
Modifier and Type
Method
Description
`Activity`
ActivityStorage.`add(Activity activity)`